
package webwisdom.tango.beans;

import java.beans.*;
import java.awt.event.*;
import java.lang.reflect.Method;


/*
**    BeanInfo for JavaBean:
*/
public class TangoBeanBeanInfo extends SimpleBeanInfo
{

    // getIcon returns an image object which can be used by toolboxes, toolbars
    // to represent this bean. Icon images are in GIF format.
    public java.awt.Image getIcon(int iconKind)
    {
        if (iconKind == BeanInfo.ICON_COLOR_16x16 ||
            iconKind == BeanInfo.ICON_MONO_16x16)
        {
            java.awt.Image img = loadImage("JavaBeanIcon16.gif");
            return img;
        }
        if (iconKind == BeanInfo.ICON_COLOR_32x32 ||
            iconKind == BeanInfo.ICON_MONO_32x32)
        {
            java.awt.Image img = loadImage("JavaBeanIcon32.gif");
            return img;
        }
        return null;
    }

    // getPropertyDescriptors returns an array of PropertyDescriptors which describe
    // the editable properties of this bean.
    public PropertyDescriptor[] getPropertyDescriptors()
    {
                     
        PropertyDescriptor rv[] = {};
        return rv;
        
    }

    public EventSetDescriptor[] getEventSetDescriptors() {

        
            EventSetDescriptor rv[] = {};
            return rv;
       
    }
    
    public MethodDescriptor[] getMethodDescriptors() {
     
        Class parameters[] = new Class[1];
        
        parameters[0] = PipeConnectEvent.class;
        
        try {
        
            MethodDescriptor pipeConnectMethod = new MethodDescriptor(TangoBean.class.getMethod("pipeReady", parameters));
            pipeConnectMethod.setDisplayName("Connect New Pipe");
            MethodDescriptor rv[] = {pipeConnectMethod};
            return rv;
        } catch(NoSuchMethodException e) {
         
            throw new Error(e.toString());            
        }
       
        
        
    }

    private final static Class beanClass = TangoBean.class;
  
}